Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.server
Class TCPIPActivationSpec

    java.lang.Object
      com.stc.connector.framework.util.JndiJCAObject
          com.stc.connector.framework.jca.system.STCActivationSpec
              com.stc.connector.tcpip.model.server.TCPIPActivationSpec

All Implemented Interfaces:
  com.stc.connector.management.jca.system.mbeans.LifeCycle, com.stc.connector.management.STCManagedMaster, java.io.Serializable, javax.naming.Referenceable, javax.resource.spi.ActivationSpec, javax.resource.spi.ResourceAdapterAssociation

Direct Known Subclasses:
  HL7ActivationSpec

    public class TCPIPActivationSpec

extends com.stc.connector.framework.jca.system.STCActivationSpec

Class extends the STCActivationSpec class.getting eWays sepecific ActivationSpec.

Author:
  Raghunadh Teegavarapu
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.stc.connector.framework.jca.system.STCActivationSpec
`mBaseConfiguration, mProjectInfoObject`

Constructor Summary
`TCPIPActivationSpec()` Constructor

Method Summary

Methods inherited from class com.stc.connector.framework.jca.system.STCActivationSpec
`createMBean, getBaseConfiguration, getConfiguration, getConfigurationInstance, getConfigurationTemplate, getEwayActivationSpecDescription, getEwayActivationSpecMBeanClass, getEwayActivationSpecMBeanName, getEwayActivationSpecName, getEwayEndpointClass, getEwayEndpointInstance, getMonitor, getProjectInfo, getResourceAdapter, isStarted, origSetConfiguration, origSetConfiguration, setConfiguration, setConfigurationInstance, setConfigurationTemplate, setEwayActivationSpecDescription, setEwayActivationSpecMBeanClass, setEwayActivationSpecMBeanName, setEwayActivationSpecName, setEwayEndpointClass, setProjectInfo, setResourceAdapter, start, stop, validate`

Methods inherited from class com.stc.connector.framework.util.JndiJCAObject
`getReference, getVersion, setReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TCPIPActivationSpec

    public TCPIPActivationSpec()
                        throws javax.resource.ResourceException

  Constructor

  Throws:
    `javax.resource.ResourceException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD